# 软采基础镜像
包含dotnet 3.1 运行时，i386 架构支持，nats-server，运行管理,可上线UIOT平台，支持部署，远程访问

### 编译
`docker build -t gitiot.mgm-iot.com/iot_images/yuzhen_base:vx.x.x .`


### docker 运行命令
`docker run -d --name yzcol --restart always -v /etc/localtime:/etc/localtime gitiot.mgm-iot.com/iot_images/yuzhen_base:v1.0.4`

* -p 51001:51001/udp ,透传UDP端口
* -p 51001-51099:51001-51099/udp ,透传UDP端口
* -v 挂在配置文件
* --name 容器名称，便于查找
* --restart always ,自动重启
* -d 后台运行
* -v /etc/localtime:/etc/localtime ,保持和主机相同时区

### 设置自动重启
`docker update --restart=always ${CONTAINER}`

### 批量部署
使用docker-compose
将需要创建的网关ID 按照示例文件批量添加，同时在 yz_project.csv 中添加所有网关的配置信息
如上两个配置修改完成后，执行 `docker-compose up -d` 即可

更新日志
2024-12-10 09:52:45 factory升级v1.1.9
2024-12-20 17:46:40 支持批量部署。